Bug 140641 - [NEW PORT] databases/tuning-primer : MySQL performance tuning primer script
Summary: [NEW PORT] databases/tuning-primer : MySQL performance tuning primer script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-17 16:50 UTC by joehorn
Modified: 2010-01-08 22:10 UTC (History)
0 users

See Also:


Attachments
file.shar (2.26 KB, text/plain)
2009-11-17 16:50 UTC, joehorn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description joehorn 2009-11-17 16:50:01 UTC
This script takes information from "SHOW STATUS LIKE..."
and "SHOW VARIABLES LIKE..." then attempts to produce
sane recommendations for tuning server variables.

It is compatible with all versions of MySQL 3.23 - 5.1.

Fix: Patch attached with submission follows:
Comment 1 joehorn 2009-12-11 02:10:50 UTC
Is this PR ignored? or rejected?

tuning-primer 1.5-r5 has been released, but this PR (ver 1.5-r4) still not
been processed ( sent about 1 month ago ).
Could anyone please help?
Comment 2 Li-Wen Hsu freebsd_committer 2009-12-27 09:43:54 UTC
State Changed
From-To: open->feedback

The port cannot fetch correctly, maybe you can fix it and also update it 
to 1.5-r5?
Comment 3 Greg Larkin freebsd_committer 2010-01-08 20:54:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

I'll take it.  Joe, can you send an updated shar file for 1.5-r5?
Comment 4 dfilter service freebsd_committer 2010-01-08 21:57:20 UTC
glarkin     2010-01-08 21:57:12 UTC

  FreeBSD ports repository

  Modified files:
    databases            Makefile 
  Added files:
    databases/tuning-primer Makefile distinfo pkg-descr 
  Log:
  This script takes information from "SHOW STATUS LIKE..."
  and "SHOW VARIABLES LIKE..." then attempts to produce
  sane recommendations for tuning server variables.
  
  It is compatible with all versions of MySQL 3.23 - 5.1.
  
  WWW:    https://launchpad.net/mysql-tuning-primer
  
  PR:             ports/140641
  Submitted by:   Joe Horn <joehorn at gmail.com>
  
  Revision  Changes    Path
  1.825     +1 -0      ports/databases/Makefile
  1.1       +30 -0     ports/databases/tuning-primer/Makefile (new)
  1.1       +3 -0      ports/databases/tuning-primer/distinfo (new)
  1.1       +7 -0      ports/databases/tuning-primer/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2010-01-08 21:59:35 UTC
glarkin     2010-01-08 21:59:27 UTC

  FreeBSD doc repository (ports committer)

  Modified files:
    en_US.ISO8859-1/articles/contributors contrib.additional.sgml 
  Log:
  - Added Joe Horn as a new contributor
  
  PR:             ports/140641
  
  Revision  Changes    Path
  1.889     +5 -0      doc/en_US.ISO8859-1/articles/contributors/contrib.additional.sgml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Greg Larkin freebsd_committer 2010-01-08 21:59:56 UTC
State Changed
From-To: feedback->closed

Committed with some modifications to silence portlint. 
Thank you for your PR!